import { SimpleLocalIntegration } from '../../core/index.js';
import { CppmTrackerConfigFlow } from './cppm_tracker.classes.configflow.js';
import { createCppmTrackerDiscoveryDescriptor } from './cppm_tracker.discovery.js';
import type { ICppmTrackerConfig } from './cppm_tracker.types.js';
import { cppmTrackerDomain, cppmTrackerProfile } from './cppm_tracker.types.js';

export class CppmTrackerIntegration extends SimpleLocalIntegration<ICppmTrackerConfig> {
  public readonly domain = cppmTrackerDomain;
  public readonly discoveryDescriptor = createCppmTrackerDiscoveryDescriptor();
  public readonly configFlow = new CppmTrackerConfigFlow();

  constructor() {
    super(cppmTrackerProfile);
  }
}

export class HomeAssistantCppmTrackerIntegration extends CppmTrackerIntegration {}
